Skip to main content
`Ctrl`+`K`

# scipy.special.pdtri

scipy.special.pdtri(k, y, out=None) = <ufunc 'pdtri'>

  Inverse to `pdtr` vs m

  Returns the Poisson variable m such that the sum from 0 to k of the Poisson density is equal to the given probability y: calculated by `gammaincinv(k + 1, y)`. k must be a nonnegative integer and y between 0 and 1.

  Parameters:
    k array_like

      Number of occurrences (nonnegative, real)

    y array_like

      Probability

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      Values of the shape parameter m such that `pdtr(k, m) = p`

  See also

  `pdtr`

    Poisson cumulative distribution function

  `pdtrc`

    Poisson survival function

  `pdtrik`

    inverse of `pdtr` with respect to k

  Examples

      >>> import scipy.special as sc

  Compute the CDF for several values of m:

      >>> m = [0.5, 1, 1.5]
      >>> p = sc.pdtr(1, m)
      >>> p
      array([0.90979599, 0.73575888, 0.5578254 ])

  Compute the inverse. We recover the values of m, as expected:

      >>> sc.pdtri(1, p)
      array([0.5, 1. , 1.5])